com.genesyslab.wfm8.API.service.RTA810

## Class AllStatesStruct

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA810.AllStatesStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class AllStatesStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains all possible states and state groups for specified sites.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<NameIDStruct>` | `genesysStates`
    `protected int` | `genesysStatesSize`
    `protected java.util.List<NameIDStruct>` | `scheduledStateGroups`
    `protected int` | `scheduledStateGroupsSize`
    `protected java.util.List<ScheduleStateStruct>` | `scheduledStates`
    `protected int` | `scheduledStatesSize`
    `private static long` | `serialVersionUID`
    `protected java.util.List<NameIDStruct>` | `siteNames`
    `protected int` | `siteNamesSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllStatesStruct()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<NameIDStruct>` | `getGenesysStates()` Gets the value of the genesysStates property.
    `int` | `getGenesysStatesSize()` Gets the value of the genesysStatesSize property.
    `java.util.List<NameIDStruct>` | `getScheduledStateGroups()` Gets the value of the scheduledStateGroups property.
    `int` | `getScheduledStateGroupsSize()` Gets the value of the scheduledStateGroupsSize property.
    `java.util.List<ScheduleStateStruct>` | `getScheduledStates()` Gets the value of the scheduledStates property.
    `int` | `getScheduledStatesSize()` Gets the value of the scheduledStatesSize property.
    `java.util.List<NameIDStruct>` | `getSiteNames()` Gets the value of the siteNames property.
    `int` | `getSiteNamesSize()` Gets the value of the siteNamesSize property.
    `int` | `hashCode()`
    `void` | `setGenesysStates(java.util.List<NameIDStruct> genesysStates)` Sets the value of the genesysStates property.
    `void` | `setGenesysStatesSize(int value)` Sets the value of the genesysStatesSize property.
    `void` | `setScheduledStateGroups(java.util.List<NameIDStruct> scheduledStateGroups)` Sets the value of the scheduledStateGroups property.
    `void` | `setScheduledStateGroupsSize(int value)` Sets the value of the scheduledStateGroupsSize property.
    `void` | `setScheduledStates(java.util.List<ScheduleStateStruct> scheduledStates)` Sets the value of the scheduledStates property.
    `void` | `setScheduledStatesSize(int value)` Sets the value of the scheduledStatesSize property.
    `void` | `setSiteNames(java.util.List<NameIDStruct> siteNames)` Sets the value of the siteNames property.
    `void` | `setSiteNamesSize(int value)` Sets the value of the siteNamesSize property.
    `java.lang.String` | `toString()`
    `AllStatesStruct` | `withGenesysStates(java.util.Collection<NameIDStruct> values)`
    `AllStatesStruct` | `withGenesysStates(NameIDStruct... values)`
    `AllStatesStruct` | `withGenesysStatesSize(int value)`
    `AllStatesStruct` | `withScheduledStateGroups(java.util.Collection<NameIDStruct> values)`
    `AllStatesStruct` | `withScheduledStateGroups(NameIDStruct... values)`
    `AllStatesStruct` | `withScheduledStateGroupsSize(int value)`
    `AllStatesStruct` | `withScheduledStates(java.util.Collection<ScheduleStateStruct> values)`
    `AllStatesStruct` | `withScheduledStates(ScheduleStateStruct... values)`
    `AllStatesStruct` | `withScheduledStatesSize(int value)`
    `AllStatesStruct` | `withSiteNames(java.util.Collection<NameIDStruct> values)`
    `AllStatesStruct` | `withSiteNames(NameIDStruct... values)`
    `AllStatesStruct` | `withSiteNamesSize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteNamesSize

          protected int siteNamesSize

    - #### siteNames

          protected java.util.List<NameIDStruct> siteNames

    - #### genesysStatesSize

          protected int genesysStatesSize

    - #### genesysStates

          protected java.util.List<NameIDStruct> genesysStates

    - #### scheduledStateGroupsSize

          protected int scheduledStateGroupsSize

    - #### scheduledStateGroups

          protected java.util.List<NameIDStruct> scheduledStateGroups

    - #### scheduledStatesSize

          protected int scheduledStatesSize

    - #### scheduledStates

          protected java.util.List<ScheduleStateStruct> scheduledStates

  - ### Constructor Detail

    - #### AllStatesStruct

          public AllStatesStruct()

  - ### Method Detail

    - #### getSiteNamesSize

          public int getSiteNamesSize()

      Gets the value of the siteNamesSize property.

    - #### setSiteNamesSize

          public void setSiteNamesSize(int value)

      Sets the value of the siteNamesSize property.

    - #### getSiteNames

          public java.util.List<NameIDStruct> getSiteNames()

      Gets the value of the siteNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the siteNames property.

      For example, to add a new item, do as follows:

              getSiteNames().add(newItem);

      Objects of the following type(s) are allowed in the list `NameIDStruct`

    - #### getGenesysStatesSize

          public int getGenesysStatesSize()

      Gets the value of the genesysStatesSize property.

    - #### setGenesysStatesSize

          public void setGenesysStatesSize(int value)

      Sets the value of the genesysStatesSize property.

    - #### getGenesysStates

          public java.util.List<NameIDStruct> getGenesysStates()

      Gets the value of the genesysStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the genesysStates property.

      For example, to add a new item, do as follows:

              getGenesysStates().add(newItem);

      Objects of the following type(s) are allowed in the list `NameIDStruct`

    - #### getScheduledStateGroupsSize

          public int getScheduledStateGroupsSize()

      Gets the value of the scheduledStateGroupsSize property.

    - #### setScheduledStateGroupsSize

          public void setScheduledStateGroupsSize(int value)

      Sets the value of the scheduledStateGroupsSize property.

    - #### getScheduledStateGroups

          public java.util.List<NameIDStruct> getScheduledStateGroups()

      Gets the value of the scheduledStateGroups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scheduledStateGroups property.

      For example, to add a new item, do as follows:

              getScheduledStateGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `NameIDStruct`

    - #### getScheduledStatesSize

          public int getScheduledStatesSize()

      Gets the value of the scheduledStatesSize property.

    - #### setScheduledStatesSize

          public void setScheduledStatesSize(int value)

      Sets the value of the scheduledStatesSize property.

    - #### getScheduledStates

          public java.util.List<ScheduleStateStruct> getScheduledStates()

      Gets the value of the scheduledStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scheduledStates property.

      For example, to add a new item, do as follows:

              getScheduledStates().add(newItem);

      Objects of the following type(s) are allowed in the list `ScheduleStateStruct`

    - #### withSiteNamesSize

          public AllStatesStruct withSiteNamesSize(int value)

    - #### withSiteNames

          public AllStatesStruct withSiteNames(NameIDStruct... values)

    - #### withSiteNames

          public AllStatesStruct withSiteNames(java.util.Collection<NameIDStruct> values)

    - #### withGenesysStatesSize

          public AllStatesStruct withGenesysStatesSize(int value)

    - #### withGenesysStates

          public AllStatesStruct withGenesysStates(NameIDStruct... values)

    - #### withGenesysStates

          public AllStatesStruct withGenesysStates(java.util.Collection<NameIDStruct> values)

    - #### withScheduledStateGroupsSize

          public AllStatesStruct withScheduledStateGroupsSize(int value)

    - #### withScheduledStateGroups

          public AllStatesStruct withScheduledStateGroups(NameIDStruct... values)

    - #### withScheduledStateGroups

          public AllStatesStruct withScheduledStateGroups(java.util.Collection<NameIDStruct> values)

    - #### withScheduledStatesSize

          public AllStatesStruct withScheduledStatesSize(int value)

    - #### withScheduledStates

          public AllStatesStruct withScheduledStates(ScheduleStateStruct... values)

    - #### withScheduledStates

          public AllStatesStruct withScheduledStates(java.util.Collection<ScheduleStateStruct> values)

    - #### setSiteNames

          public void setSiteNames(java.util.List<NameIDStruct> siteNames)

      Sets the value of the siteNames property.
      Parameters:
        `siteNames` - allowed object is `NameIDStruct`

    - #### setGenesysStates

          public void setGenesysStates(java.util.List<NameIDStruct> genesysStates)

      Sets the value of the genesysStates property.
      Parameters:
        `genesysStates` - allowed object is `NameIDStruct`

    - #### setScheduledStateGroups

          public void setScheduledStateGroups(java.util.List<NameIDStruct> scheduledStateGroups)

      Sets the value of the scheduledStateGroups property.
      Parameters:
        `scheduledStateGroups` - allowed object is `NameIDStruct`

    - #### setScheduledStates

          public void setScheduledStates(java.util.List<ScheduleStateStruct> scheduledStates)

      Sets the value of the scheduledStates property.
      Parameters:
        `scheduledStates` - allowed object is `ScheduleStateStruct`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.